<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" import="java.sql.*"%>
<%
	Connection conn = null;
	PreparedStatement stmt = null;
	ResultSet rs = null;
	try
	{
		Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		conn = DriverManager.getConnection("jdbc:odbc:Presidents");
		
		String sql = "SELECT FirstName, LastName, StartYear, EndYear, ImagePath FROM Presidents WHERE PresidentID=?";
		stmt = conn.prepareStatement(sql);
		stmt.setString(1, request.getParameter("Slide"));
		
		rs = stmt.executeQuery();
		rs.next();
		
		response.setContentType("text/xml");
	
		out.write("<President>");
		out.write("<Name>" + rs.getString("FirstName") + " " + rs.getString("LastName") + "</Name>");
		out.write("<Years>" + rs.getString("StartYear") + "-" + rs.getString("EndYear") + "</Years>");
		out.write("<Image>" + rs.getString("ImagePath") + "</Image>");
		out.write("</President>");
	}
	catch(Exception e)
	{
		out.write("failed: " + e.toString());
	}
	finally 
	{
		if (rs != null) rs.close();
		if (stmt != null) stmt.close();
		if (conn != null) conn.close();
	}
%>